# Interface TextElement

interface TextElement {
data ?: string;
endIndex ?: number;
next : null | Element ;
parent : Element ;
prev : null | Element ;
startIndex ?: number;
type : "text";
}

- Defined in node_modules/@types/cheerio/index.d.ts:8

##### Index

### Properties

data?
endIndex?
next
parent
prev
startIndex?
type

## Properties

### `Optional` data

data?: string

- Defined in node_modules/@types/cheerio/index.d.ts:13

### `Optional` endIndex

endIndex?: number

- Defined in node_modules/@types/cheerio/index.d.ts:15

### next

next: null | Element

- Defined in node_modules/@types/cheerio/index.d.ts:10

### parent

parent: Element

- Defined in node_modules/@types/cheerio/index.d.ts:12

### prev

prev: null | Element

- Defined in node_modules/@types/cheerio/index.d.ts:11

### `Optional` startIndex

startIndex?: number

- Defined in node_modules/@types/cheerio/index.d.ts:14

### type

type: "text"

- Defined in node_modules/@types/cheerio/index.d.ts:9